using System;
using System.Collections.Generic;
using System.Text;

namespace Kyojin.Model
{
    /// <summary>
    /// ブックマークデータを保持するクラス
    /// </summary>
    [Serializable]
    public class BookmarkData
    {
        #region メンバフィールド

        private ScenarioInfo scenarioInfo;

        private DateTime saveDate = DateTime.MinValue;
        public DateTime SaveDate
        {
            get { return saveDate; }
            set { saveDate = value; }
        }

        public ScenarioInfo ScenarioInfo
        {
            get { return scenarioInfo; }
            set { scenarioInfo = value; }
        }

        private bool readOnly;	//!< 読み込み専用

        public bool ReadOnly
        {
            get { return readOnly; }
            set { readOnly = value; }
        }

        private bool read;		//!< この栞から読む

        public bool Read
        {
            get { return read; }
            set { read = value; }
        }
        private bool overwrite;	//!< 上書きか

        public bool Overwrite
        {
            get { return overwrite; }
            set { overwrite = value; }
        }
        private bool insert;	//!< この栞をはさむ

        public bool Insert
        {
            get { return insert; }
            set { insert = value; }
        }

        private string text;
        public string Text
        {
            get { return text; }
            set { text = value; }
        }

        private bool autoMark;
        public bool IsAutoBookmark
        {
            get { return autoMark; }
            set { autoMark = value; }
        }

        private bool use;
        public bool IsUse
        {
            get { return use; }
            set { use = value; }
        }

        #endregion
    }
}
